# $Revision: 1.18 $, $Date: 2010/10/31 07:49:39 $
Summary:	viewres application - graphical class browser for Xt
Summary(pl.UTF-8):	Aplikacja viewres - graficzna przeglądarka klas dla Xt
Name:		xorg-app-viewres
Version:	1.0.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/viewres-%{version}.tar.bz2
# Source0-md5:	c9d15462c0190dce61d04a6717dd7622
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The viewres program displays a tree showing the widget class hierarchy
of the Athena Widget Set. Each node in the tree can be expanded to
show the resources that the corresponding class adds (i.e. does not
inherit from its parent) when a widget is created. This application
allows the user to visually examine the structure and inherited
resources for the Athena Widget Set.

%description -l pl.UTF-8
Program viewres wyświetla drzewo obrazujące hierarchię klas widgetów
Athena. Każdy węzeł drzewa może być rozszerzony aby pokazywać zasoby
dodawane przez odpowiadającą mu klasę (tzn. nie dziedziczone od
rodzica) podczas tworzenia widgetu. Ta aplikacja pozwala użytkownikowi
wizualnie przeglądać strukturę i dziedziczone zasoby widgetów Athena.

%prep
%setup -q -n viewres-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/viewres
%{_datadir}/X11/app-defaults/Viewres
%{_datadir}/X11/app-defaults/Viewres-color
%{_mandir}/man1/viewres.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-viewres.spec,v $
Revision 1.18  2010/10/31 07:49:39  qboosh
- updated to 1.0.3

Revision 1.17  2010/05/26 19:18:18  qboosh
- updated to 1.0.2
- removed obsolete xaw patch

Revision 1.16  2008/11/11 16:35:11  arekm
- rel 3

Revision 1.15  2008/11/07 20:50:57  arekm
- release 2

Revision 1.14  2007/04/30 23:01:37  qboosh
- informative descs from man

Revision 1.13  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.11  2006/10/15 14:41:58  qboosh
- use individual dir, more verbose files, release 1

Revision 1.10  2006/01/16 11:09:30  qboosh
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

Revision 1.9  2006/01/12 13:31:11  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/09 12:31:17  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 22:05:01  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 18:48:42  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added viewres-man.patch
- added BR: libXaw-devel
- release 0.02

* Sun Aug  7 2005 20:13:35  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
